Subject: wu-ftp problem on Linux

From: Steven Liu <[email-masked]>
Date: Wed, 30 Jul 1997 15:42:18 +0800

Hi, 
  I am using Red Hat Linux release 4.1 Kernel 2.0.27
when I ftp to it, if I use ftp or anon. as the user name
I can log in, but if I use the real user account name in /etc/passwd
such as my name steven, the result is:

331 Password required for steven.
Password:

then I input the right password, then..
530 Login incorrect.
Login failed.
Remote system type is UNIX
Using binary mode to transfer files
ftp>dir
530 Please login with USER adn PASS.
ftp: bind: Address already in use
ftp>

What's wrong??
I have read a article about this situation, and they say perhaps
the /etc/shells doesn't exist, but on my system, the /etc/shells is OK

I have tried to download wu-ftp source file from WU, and compilt it 
on the system, but there are too many errors, and at last I had to
give it up  :-(

so, anybody can give me some advise about the error? thanX!

steven